Subject: bug#44297: [Feature request] project.el: Additional utility functions

From: Dmitry Gutov <[email-masked]>
Date: Fri, 30 Oct 2020 01:31:48 +0200

On 29.10.2020 04:52, Brian Leung via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> project-find-directory: completing-read for a directory within the project

This is bug#43153.

 > project-find-file-in-directory: completing-read for a directory 
within the project, and then within the selected directory, 
completing-read for a file within that directory

Is that one really a frequent operation?

I would imagine that project-find-file, with fuzzy search, would be a 
faster solution either way.